Package net.snowflake.client.core

## Class SecureStorageWindowsManager.SecureStorageWindowsCredential

- java.lang.Object
- - com.sun.jna.Structure
  - - net.snowflake.client.core.SecureStorageWindowsManager.SecureStorageWindowsCredential

Enclosing class:
  SecureStorageWindowsManager

    public static class SecureStorageWindowsManager.SecureStorageWindowsCredential
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`int` `AttributeCount`
`com.sun.jna.Pointer` `Attributes`
`com.sun.jna.WString` `Comment`
`com.sun.jna.Pointer` `CredentialBlob`
`int` `CredentialBlobSize`
`int` `Flags` typedef struct _CREDENTIAL { DWORD Flags; DWORD Type; LPTSTR TargetName; LPTSTR Comment; FILETIME LastWritten; DWORD CredentialBlobSize; LPBYTE CredentialBlob; DWORD Persist; DWORD AttributeCount; PCREDENTIAL_ATTRIBUTE Attributes; LPTSTR TargetAlias; LPTSTR UserName; } CREDENTIAL, *PCREDENTIAL;
`com.sun.jna.platform.win32.WinBase.FILETIME` `LastWritten`
`int` `Persist`
`com.sun.jna.WString` `TargetAlias`
`com.sun.jna.WString` `TargetName`
`int` `Type`
`com.sun.jna.WString` `UserName`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SecureStorageWindowsCredential()`
`SecureStorageWindowsCredential​(com.sun.jna.Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<String>` `getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Flags

    public int Flags

typedef struct _CREDENTIAL { DWORD Flags; DWORD Type; LPTSTR TargetName; LPTSTR Comment; FILETIME LastWritten; DWORD CredentialBlobSize; LPBYTE CredentialBlob; DWORD Persist; DWORD AttributeCount; PCREDENTIAL_ATTRIBUTE Attributes; LPTSTR TargetAlias; LPTSTR UserName; } CREDENTIAL, *PCREDENTIAL;

#### Type

    public int Type

#### TargetName

    public com.sun.jna.WString TargetName

#### Comment

    public com.sun.jna.WString Comment

#### LastWritten

    public com.sun.jna.platform.win32.WinBase.FILETIME LastWritten

#### CredentialBlobSize

    public int CredentialBlobSize

#### CredentialBlob

    public com.sun.jna.Pointer CredentialBlob

#### Persist

    public int Persist

#### AttributeCount

    public int AttributeCount

#### Attributes

    public com.sun.jna.Pointer Attributes

#### TargetAlias

    public com.sun.jna.WString TargetAlias

#### UserName

    public com.sun.jna.WString UserName

### Constructor Detail

#### SecureStorageWindowsCredential

    public SecureStorageWindowsCredential()

#### SecureStorageWindowsCredential

    public SecureStorageWindowsCredential​(com.sun.jna.Pointer p)

### Method Detail

#### getFieldOrder

    protected List<String> getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`